<?php
    $this->addJS('templates/default/js/mygeo.js');
    $city_id = isset($value['id']) ? $value['id'] : null;
    $city_name = isset($value['name']) ? $value['name'] : null;
    
    $user = cmsUser::getInstance();
?>

<?php if ($field->title) { ?><label><?php echo $field->title; ?></label><?php } ?>

<?php 

    $geo = cmsCore::getModel('geo');
   
    $countries = $geo->getCountries();
        $countries = array('0'=>'Выберите страну') + $countries;

        $regions = array();
        $cities = array();

        $region_id = false;
        $country_id = false;

        if ($user->is_logged && !$city_id && $user->city['id']){
            $city_id = $user->city['id'];
        }

        if ($city_id){

            $city_parents = $geo->getCityParents($city_id);

            $region_id = $city_parents['region_id'];
            $country_id = $city_parents['country_id'];

            $regions = $geo->getRegions($country_id);
            $regions = array('0'=>'Выберите регион') + $regions;

            $cities = $geo->getCities($region_id);
            $cities = array('0'=>'Выберите город') + $cities;

        }

?>

<div id="geo_window">

    <div class="wrapper" data-items-url="/geo/get_items">



            <div class="list">
                <?php echo html_select($field->name.'[countries]', $countries, $country_id, array('onchange'=>"icms.mygeo.changeParent(this, 'regions')", 'id'=>'country', 'rel'=>'regions')); ?>
            </div>

            <div class="list" <?php if (!$city_id){?>style="display:none"<?php } ?>>
                <?php echo html_select($field->name.'[regions]', $regions, $region_id, array('onchange'=>"icms.mygeo.changeParent(this, 'cities')", 'id'=>'regions', 'rel'=>'cities')); ?>
            </div>

            <div class="list" <?php if (!$city_id){?>style="display:none"<?php } ?>>
                <?php echo html_select($field->name.'[cities]', $cities, $city_id, array('onchange'=>"icms.mygeo.changeCity(this)", 'id'=>'cities')); ?>
            </div>


    </div>

</div>
